Bug 978357 - JCA Local transaction won't failover in clustered MRG-M <-> EAP6
JCA Local transaction won't failover in clustered MRG-M <-> EAP6
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-jca (Show other bugs)
2.3
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ted Ross
Michal Toth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 08:48 EDT by Valiantsina Hubeika
Modified: 2015-01-26 09:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtoth: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Valiantsina Hubeika 2013-06-26 08:48:58 EDT
Description of problem:

Failover won't work under LocalTransactions. Killing "active" qpidd cluster node, when message driven bean reads messages out of Queue under LocalTransaction.  

Version-Release number of selected component (if applicable):

qpid-jca-0.18-8.el6.noarch

qpid-cpp-server-store-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-xml-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-cluster-0.14-22.el6_3.x86_64
qpid-cpp-server-rdma-0.14-22.el6_3.x86_64
qpid-cpp-server-devel-0.14-22.el6_3.x86_64


How reproducible:

100%

Steps to Reproduce:

1. start 2 clustered qpidd nodes 
2. run EAP6 with qpid JCA (configured to use LocalTransactions)
3. fill queue with some number of messages in one transaction, and start reading from Queue with MDB one message per  LocalTransaction
4. kill one active qpidd node
5. check if MDB failovers to remaining qpidd node

Actual results:

Failover attempt does not succeed.


Expected results:


Additional info:
Comment 3 Valiantsina Hubeika 2013-07-30 04:04:13 EDT
Weston, please see Comment 2

Note You need to log in before you can comment on or make changes to this bug.